commit:     3b21fd6ca86ea550213ff4e08319a08718b1a0f4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 19 08:43:08 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Nov 19 09:36:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b21fd6c

sys-libs/libcap-ng: Bump to version 0.8.1

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-libs/libcap-ng/Manifest               |  1 +
 sys-libs/libcap-ng/libcap-ng-0.8.1.ebuild | 89 +++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/sys-libs/libcap-ng/Manifest b/sys-libs/libcap-ng/Manifest
index a7ac7241a58..27147c4690f 100644
--- a/sys-libs/libcap-ng/Manifest
+++ b/sys-libs/libcap-ng/Manifest
@@ -1,3 +1,4 @@
 DIST libcap-ng-0.7.10.tar.gz 450243 BLAKE2B 
8eb21b0309e46b05fa42752b9c814d90bc1eda4852ac7a4975868c279764431a8d5eafc53e50998470f622e2a59e2b4c6c2ac1ac20525c6fcd0633b09b113012
 SHA512 
1b93c7f5c20ae5cc705fe5244af3e299454e988388cda95f006e248d97c0713e77da2a81c67ecf15755f3958df373fc6d1ca14197d6357ab1f2d8c3a0fd12def
 DIST libcap-ng-0.7.11.tar.gz 450541 BLAKE2B 
66217f7fb9e3b3876ada6f355a2b69f16fda4ab3ab490e524358c4120583280ce6497770ec6452596426594b877d79c0e03db10d6413c1cf20bd01e996f7347b
 SHA512 
150c4f48d7334966aa7af683e46bc3b8b4d4a2e80be826e6f6a61a0ea0666e2f4dafcd012c536fa321c4954c00059c689cc8d6dc089000ca1dca2fd52e3efe9c
+DIST libcap-ng-0.8.1.tar.gz 454950 BLAKE2B 
d2d8902526f1cb6f1f579ec4ca1ca33bf45db325eac07a94b97dcee58411f8657591a840cb7420a94617bf8c21858c4b31138ca3126f6cfaff6b8c82b991149f
 SHA512 
cd28ceb43e2cf5d3a0140fddbd2ea13dfda8eeea8a6de1817f3cc3b38df874ab8653917dbd405ad7aaaa71bcb9ec246d995079aa3cb0af1cffbdb37dfdd99232
 DIST libcap-ng-0.8.tar.gz 453181 BLAKE2B 
8f4b2e13e5c2c21f1ac1455ebdaf04b42e07fa79d9026651f41eab041cdf99bd40d91b8ce2262e58bc2de3e2a793f676df8c69d832ccadfa4b486ebefeb4b128
 SHA512 
d410d66f46ad25765f35ffac17e0d36740329c334c6535d55a13fa218718a750763b7ad4610efa47efe7c256c143ead7dde7d37a29e99cb5c55161f577c40bb2

diff --git a/sys-libs/libcap-ng/libcap-ng-0.8.1.ebuild 
b/sys-libs/libcap-ng/libcap-ng-0.8.1.ebuild
new file mode 100644
index 00000000000..846ebcd8aae
--- /dev/null
+++ b/sys-libs/libcap-ng/libcap-ng-0.8.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit autotools flag-o-matic python-r1
+
+DESCRIPTION="POSIX 1003.1e capabilities"
+HOMEPAGE="https://people.redhat.com/sgrubb/libcap-ng/";
+SRC_URI="https://people.redhat.com/sgrubb/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x86-linux"
+IUSE="python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+       sys-kernel/linux-headers"
+BDEPEND="python? ( >=dev-lang/swig-2 )"
+
+src_prepare() {
+       default
+       if use prefix ; then
+               sed -i "s@cat /usr@cat ${EPREFIX}/usr@" 
bindings/python*/Makefile.am || die
+               eautomake #668722
+       fi
+}
+
+src_configure() {
+       use sparc && replace-flags -O? -O0
+
+       local ECONF_SOURCE="${S}"
+
+       local myconf=(
+               $(use_enable static-libs static)
+       )
+
+       local pythonconf=( --without-python --without-python3 )
+
+       # set up python bindings build(s)
+       if use python ; then
+               setup_python_flags_configure() {
+                       pythonconf=( --without-python --with-python3 )
+                       run_in_build_dir econf "${pythonconf[@]}" "${myconf[@]}"
+               }
+
+               python_foreach_impl setup_python_flags_configure
+       else
+               local BUILD_DIR=${WORKDIR}/build
+               run_in_build_dir econf "${pythonconf[@]}" "${myconf[@]}"
+       fi
+}
+
+src_compile() {
+       if use python; then
+               python_foreach_impl run_in_build_dir emake
+       else
+               local BUILD_DIR=${WORKDIR}/build
+               emake -C "${BUILD_DIR}"
+       fi
+}
+
+src_test() {
+       if [[ "${EUID}" -eq 0 ]]; then
+               ewarn "Skipping tests due to root permissions."
+               return
+       fi
+
+       if use python; then
+               python_foreach_impl run_in_build_dir emake check
+       else
+               local BUILD_DIR=${WORKDIR}/build
+               emake -C "${BUILD_DIR}" check
+       fi
+}
+
+src_install() {
+       if use python; then
+               python_foreach_impl run_in_build_dir emake DESTDIR="${D}" 
install
+       else
+               local BUILD_DIR=${WORKDIR}/build
+               emake -C "${BUILD_DIR}" DESTDIR="${D}" install
+       fi
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to